MOUNT_CHFS(8)

NAME
mount_chfs - mount a CHFS flash file system

SYNOPSIS
mount_chfs

DESCRIPTION
Mounts a flash file system from a flash(4) device. CHFS file systems can be only mounted from flash devices. For regular block devices like SSD drives or USB drives, please use a regular file system. The file system will be created during the first mount. CHFS stands for Chip File System.

EXAMPLES
    mount_chfs /dev/flash0 /mnt

SEE ALSO
flash(4), fstab(5), mount(8), flash(9)

HISTORY
A mount_chfs utility appeared in NetBSD 6.0. CHFS was originally called ChewieFS during development. The name was changed to avoid legal issues and to have a more neutral name.

AUTHORS
CHFS was developed at the Department of Software Engineering, University of Szeged, Hungary.

BUGS
CHFS has a few known bugs as of 2011. Writing the FS full can cause problems. Truncating a file and growing it again can cause the new bytes not having all zeroes, but filled with the old content instead.